/*
 * FileNameComparator: Fileクラス比較クラス 
 */
package org.dbc_works.lib.io;

import java.io.File;
import java.util.Comparator;

public final class FileNameComparator
	implements Comparator
{
	//
	// クラス属性
	//

	// 唯一のインスタンス
	public static final FileNameComparator	instance = new FileNameComparator();

	//
	// コンストラクタ
	//
	private FileNameComparator()
	{
	}

	//
	// 操作
	//

	// 比較する
	public int compare(
		Object o1,	// 左辺値
		Object o2)	// 右辺値
	{
		if ((o1 instanceof File) == false
		|| (o2 instanceof File) == false) {
			throw new ClassCastException();
		}

		// 擬似辞書順比較を実現するためファイル名を大文字小文字区別なしで比較する
	//	return ((File)o1).compareTo((File)o2);
		final File file1 = (File)o1;
		final File file2 = (File)o2;
		int nResult = file1.getName().compareToIgnoreCase(file2.getName());
		if (nResult == 0) { 
			nResult = file1.getName().compareTo(file2.getName());
		}
		return nResult;
	}
}
