/*
 * Boundary: 境界
 */
package org.dbc_works.lib.mime;

public final class Boundary
{
	//
	// 定数
	//

	private static final String	MARKER	= "--";
	
	//
	// クラスメソッド
	//

	// 有効な境界文字列かを返す
	public static boolean isValid(
		String str)	// 文字列	
	{
		if (str == null) {
			throw new NullPointerException();
		}
		return (0 < str.length() && str.endsWith(MARKER) == false);
	}
	
	//
	// 属性
	//

	public final String	boundary;

	//
	// コンストラクタ
	//
	public Boundary(
		String strBoundary)	// 区切り文字列
	{
		if (strBoundary == null) {
			throw new NullPointerException();
		}
		if (isValid(strBoundary) == false) {
			throw new IllegalArgumentException();
		}

		boundary = strBoundary;
	}

	//
	// 状態
	//

	// 文字列を作成する
	public String makeString(
		boolean bTerminate)	// 終端フラグ
	{
		StringBuffer sb = new StringBuffer();
		sb.append(MARKER);
		sb.append(boundary);
		if (bTerminate != false) {
			sb.append(MARKER);
		}
		return sb.toString();
	}
}
